package com.project.zcustom.controller.synchronization;


import com.project.common.core.domain.AjaxResult;
import com.project.zcustom.service.synchronization.IPlatSynchronizeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/synchronize")
public class PlatSynchronizeController {

    @Autowired
    private IPlatSynchronizeService platSynchronizeService;

    /*服务保障中心*/
    /**
     *便捷出入
     */
    @GetMapping("/getServiceAccess")
    public AjaxResult getServiceAccess() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceAccess());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceBasics")
    public AjaxResult getServiceBasics() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceBasics());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceBasicsCompany")
    public AjaxResult getServiceBasicsCompany() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceBasicsCompany());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceBasicsServer")
    public AjaxResult getServiceBasicsServer() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceBasicsServer());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceBasicsSystem")
    public AjaxResult getServiceBasicsSystem() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceBasicsSystem());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceHealth")
    public AjaxResult getServiceHealth() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceHealth());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceHealthIllness")
    public AjaxResult getServiceHealthIllness() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceHealthIllness());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceEmployeeType")
    public AjaxResult getServiceEmployeeType() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceEmployeeType());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceEmployeeTypeFlow")
    public AjaxResult getServiceEmployeeTypeFlow() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceEmployeeTypeFlow());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceGreenFoods")
    public AjaxResult getServiceGreenFoods() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceGreenFoods());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceGreenSmart")
    public AjaxResult getServiceGreenSmart() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceGreenSmart());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceGreenSmartOther")
    public AjaxResult getServiceGreenSmartOther() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceGreenSmartOther());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceGreenSmartRank")
    public AjaxResult getServiceGreenSmartRank() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceGreenSmartRank());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceGreenSmartSafety")
    public AjaxResult getServiceGreenSmartSafety() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceGreenSmartSafety());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServicePostStation")
    public AjaxResult getServicePostStation() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServicePostStation());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServicePostStationChart")
    public AjaxResult getServicePostStationChart() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServicePostStationChart());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceProperty")
    public AjaxResult getServiceProperty() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceProperty());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServicePropertyList")
    public AjaxResult getServicePropertyList() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServicePropertyList());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServicePropertyTools")
    public AjaxResult getServicePropertyTools() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServicePropertyTools());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceBuilding")
    public AjaxResult getServiceBuilding() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceBuilding());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceBuildingControl")
    public AjaxResult getServiceBuildingControl() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceBuildingControl());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceBuildingAmmeterDetail")
    public AjaxResult getServiceBuildingAmmeterDetail() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceBuildingAmmeterDetail());
    }

    @GetMapping("/getServiceBuildingLoadDetail")
    public AjaxResult getServiceBuildingLoadDetail() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceBuildingLoadDetail());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceEngineerCamera")
    public AjaxResult getServiceEngineerCamera() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceEngineerCamera());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceEngineerIssue")
    public AjaxResult getServiceEngineerIssue() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceEngineerIssue());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceEngineerPlan")
    public AjaxResult getServiceEngineerPlan() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceEngineerPlan());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceEngineerProject")
    public AjaxResult getServiceEngineerProject() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceEngineerProject());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceLogisticsHousing")
    public AjaxResult getServiceLogisticsHousing() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceLogisticsHousing());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceLogistics")
    public AjaxResult getServiceLogistics() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceLogistics());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceLogisticsBuildingAsset")
    public AjaxResult getServiceLogisticsBuildingAsset() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceLogisticsBuildingAsset());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceLogisticsOfficeAsset")
    public AjaxResult getServiceLogisticsOfficeAsset() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceLogisticsOfficeAsset());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServiceLogisticsServiceAsset")
    public AjaxResult getServiceLogisticsServiceAsset() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServiceLogisticsServiceAsset());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServicePublicCar")
    public AjaxResult getServicePublicCar() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServicePublicCar());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServicePublicCarChange")
    public AjaxResult getServicePublicCarChange() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServicePublicCarChange());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServicePublicCarWarn")
    public AjaxResult getServicePublicCarWarn() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServicePublicCarWarn());
    }

    /**
     *便捷出入
     */
    @GetMapping("/getServicePublicCarRank")
    public AjaxResult getServicePublicCarRank() {
        return AjaxResult.success("操作成功",platSynchronizeService.getServicePublicCarRank());
    }

}
